// Generated register defines for gpio

#ifndef _GPIO_REG_DEFS_
#define _GPIO_REG_DEFS_

#ifdef __cplusplus
extern "C" {
#endif
#define GPIO_PARAM_G_P_I_O_COUNT 32

// Register width
#define GPIO_PARAM_REG_WIDTH 32

// Info register that contains information about this peripheral.
#define GPIO_INFO_REG_OFFSET 0x0
#define GPIO_INFO_GPIO_CNT_MASK 0x3ff
#define GPIO_INFO_GPIO_CNT_OFFSET 0
#define GPIO_INFO_GPIO_CNT_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_INFO_GPIO_CNT_MASK, .index = GPIO_INFO_GPIO_CNT_OFFSET })
#define GPIO_INFO_VERSION_MASK 0x3ff
#define GPIO_INFO_VERSION_OFFSET 10
#define GPIO_INFO_VERSION_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_INFO_VERSION_MASK, .index = GPIO_INFO_VERSION_OFFSET })

// Global configuration register for the peripheral
#define GPIO_CFG_REG_OFFSET 0x4
#define GPIO_CFG_GLBL_INTRPT_MODE_BIT 0
#define GPIO_CFG_PIN_LVL_INTRPT_MODE_BIT 1

// Set the IO Mode of the GPIO. (common parameters)
#define GPIO_GPIO_MODE_MODE_FIELD_WIDTH 2
#define GPIO_GPIO_MODE_MODE_FIELDS_PER_REG 16
#define GPIO_GPIO_MODE_MULTIREG_COUNT 2

// Set the IO Mode of the GPIO.
#define GPIO_GPIO_MODE_0_REG_OFFSET 0x8
#define GPIO_GPIO_MODE_0_MODE_0_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_0_OFFSET 0
#define GPIO_GPIO_MODE_0_MODE_0_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_0_MASK, .index = GPIO_GPIO_MODE_0_MODE_0_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_0_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_0_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_0_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_0_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_1_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_1_OFFSET 2
#define GPIO_GPIO_MODE_0_MODE_1_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_1_MASK, .index = GPIO_GPIO_MODE_0_MODE_1_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_1_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_1_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_1_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_1_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_2_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_2_OFFSET 4
#define GPIO_GPIO_MODE_0_MODE_2_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_2_MASK, .index = GPIO_GPIO_MODE_0_MODE_2_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_2_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_2_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_2_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_2_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_3_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_3_OFFSET 6
#define GPIO_GPIO_MODE_0_MODE_3_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_3_MASK, .index = GPIO_GPIO_MODE_0_MODE_3_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_3_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_3_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_3_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_3_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_4_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_4_OFFSET 8
#define GPIO_GPIO_MODE_0_MODE_4_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_4_MASK, .index = GPIO_GPIO_MODE_0_MODE_4_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_4_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_4_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_4_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_4_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_5_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_5_OFFSET 10
#define GPIO_GPIO_MODE_0_MODE_5_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_5_MASK, .index = GPIO_GPIO_MODE_0_MODE_5_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_5_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_5_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_5_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_5_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_6_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_6_OFFSET 12
#define GPIO_GPIO_MODE_0_MODE_6_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_6_MASK, .index = GPIO_GPIO_MODE_0_MODE_6_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_6_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_6_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_6_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_6_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_7_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_7_OFFSET 14
#define GPIO_GPIO_MODE_0_MODE_7_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_7_MASK, .index = GPIO_GPIO_MODE_0_MODE_7_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_7_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_7_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_7_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_7_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_8_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_8_OFFSET 16
#define GPIO_GPIO_MODE_0_MODE_8_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_8_MASK, .index = GPIO_GPIO_MODE_0_MODE_8_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_8_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_8_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_8_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_8_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_9_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_9_OFFSET 18
#define GPIO_GPIO_MODE_0_MODE_9_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_9_MASK, .index = GPIO_GPIO_MODE_0_MODE_9_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_9_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_9_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_9_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_9_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_10_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_10_OFFSET 20
#define GPIO_GPIO_MODE_0_MODE_10_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_10_MASK, .index = GPIO_GPIO_MODE_0_MODE_10_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_10_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_10_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_10_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_10_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_11_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_11_OFFSET 22
#define GPIO_GPIO_MODE_0_MODE_11_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_11_MASK, .index = GPIO_GPIO_MODE_0_MODE_11_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_11_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_11_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_11_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_11_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_12_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_12_OFFSET 24
#define GPIO_GPIO_MODE_0_MODE_12_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_12_MASK, .index = GPIO_GPIO_MODE_0_MODE_12_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_12_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_12_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_12_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_12_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_13_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_13_OFFSET 26
#define GPIO_GPIO_MODE_0_MODE_13_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_13_MASK, .index = GPIO_GPIO_MODE_0_MODE_13_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_13_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_13_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_13_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_13_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_14_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_14_OFFSET 28
#define GPIO_GPIO_MODE_0_MODE_14_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_14_MASK, .index = GPIO_GPIO_MODE_0_MODE_14_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_14_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_14_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_14_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_14_VALUE_OPEN_DRAIN1 0x3
#define GPIO_GPIO_MODE_0_MODE_15_MASK 0x3
#define GPIO_GPIO_MODE_0_MODE_15_OFFSET 30
#define GPIO_GPIO_MODE_0_MODE_15_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_0_MODE_15_MASK, .index = GPIO_GPIO_MODE_0_MODE_15_OFFSET })
#define GPIO_GPIO_MODE_0_MODE_15_VALUE_INPUT_ONLY 0x0
#define GPIO_GPIO_MODE_0_MODE_15_VALUE_OUTPUT_ACTIVE 0x1
#define GPIO_GPIO_MODE_0_MODE_15_VALUE_OPEN_DRAIN0 0x2
#define GPIO_GPIO_MODE_0_MODE_15_VALUE_OPEN_DRAIN1 0x3

// Set the IO Mode of the GPIO.
#define GPIO_GPIO_MODE_1_REG_OFFSET 0xc
#define GPIO_GPIO_MODE_1_MODE_16_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_16_OFFSET 0
#define GPIO_GPIO_MODE_1_MODE_16_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_16_MASK, .index = GPIO_GPIO_MODE_1_MODE_16_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_17_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_17_OFFSET 2
#define GPIO_GPIO_MODE_1_MODE_17_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_17_MASK, .index = GPIO_GPIO_MODE_1_MODE_17_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_18_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_18_OFFSET 4
#define GPIO_GPIO_MODE_1_MODE_18_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_18_MASK, .index = GPIO_GPIO_MODE_1_MODE_18_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_19_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_19_OFFSET 6
#define GPIO_GPIO_MODE_1_MODE_19_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_19_MASK, .index = GPIO_GPIO_MODE_1_MODE_19_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_20_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_20_OFFSET 8
#define GPIO_GPIO_MODE_1_MODE_20_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_20_MASK, .index = GPIO_GPIO_MODE_1_MODE_20_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_21_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_21_OFFSET 10
#define GPIO_GPIO_MODE_1_MODE_21_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_21_MASK, .index = GPIO_GPIO_MODE_1_MODE_21_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_22_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_22_OFFSET 12
#define GPIO_GPIO_MODE_1_MODE_22_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_22_MASK, .index = GPIO_GPIO_MODE_1_MODE_22_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_23_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_23_OFFSET 14
#define GPIO_GPIO_MODE_1_MODE_23_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_23_MASK, .index = GPIO_GPIO_MODE_1_MODE_23_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_24_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_24_OFFSET 16
#define GPIO_GPIO_MODE_1_MODE_24_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_24_MASK, .index = GPIO_GPIO_MODE_1_MODE_24_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_25_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_25_OFFSET 18
#define GPIO_GPIO_MODE_1_MODE_25_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_25_MASK, .index = GPIO_GPIO_MODE_1_MODE_25_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_26_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_26_OFFSET 20
#define GPIO_GPIO_MODE_1_MODE_26_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_26_MASK, .index = GPIO_GPIO_MODE_1_MODE_26_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_27_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_27_OFFSET 22
#define GPIO_GPIO_MODE_1_MODE_27_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_27_MASK, .index = GPIO_GPIO_MODE_1_MODE_27_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_28_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_28_OFFSET 24
#define GPIO_GPIO_MODE_1_MODE_28_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_28_MASK, .index = GPIO_GPIO_MODE_1_MODE_28_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_29_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_29_OFFSET 26
#define GPIO_GPIO_MODE_1_MODE_29_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_29_MASK, .index = GPIO_GPIO_MODE_1_MODE_29_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_30_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_30_OFFSET 28
#define GPIO_GPIO_MODE_1_MODE_30_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_30_MASK, .index = GPIO_GPIO_MODE_1_MODE_30_OFFSET })
#define GPIO_GPIO_MODE_1_MODE_31_MASK 0x3
#define GPIO_GPIO_MODE_1_MODE_31_OFFSET 30
#define GPIO_GPIO_MODE_1_MODE_31_FIELD \
  ((bitfield_field32_t) { .mask = GPIO_GPIO_MODE_1_MODE_31_MASK, .index = GPIO_GPIO_MODE_1_MODE_31_OFFSET })

// Enable sampling on the corresponding GPIO (common parameters)
#define GPIO_GPIO_EN_GPIO_EN_FIELD_WIDTH 1
#define GPIO_GPIO_EN_GPIO_EN_FIELDS_PER_REG 32
#define GPIO_GPIO_EN_MULTIREG_COUNT 1

// Enable sampling on the corresponding GPIO
#define GPIO_GPIO_EN_REG_OFFSET 0x80
#define GPIO_GPIO_EN_GPIO_EN_0_BIT 0
#define GPIO_GPIO_EN_GPIO_EN_1_BIT 1
#define GPIO_GPIO_EN_GPIO_EN_2_BIT 2
#define GPIO_GPIO_EN_GPIO_EN_3_BIT 3
#define GPIO_GPIO_EN_GPIO_EN_4_BIT 4
#define GPIO_GPIO_EN_GPIO_EN_5_BIT 5
#define GPIO_GPIO_EN_GPIO_EN_6_BIT 6
#define GPIO_GPIO_EN_GPIO_EN_7_BIT 7
#define GPIO_GPIO_EN_GPIO_EN_8_BIT 8
#define GPIO_GPIO_EN_GPIO_EN_9_BIT 9
#define GPIO_GPIO_EN_GPIO_EN_10_BIT 10
#define GPIO_GPIO_EN_GPIO_EN_11_BIT 11
#define GPIO_GPIO_EN_GPIO_EN_12_BIT 12
#define GPIO_GPIO_EN_GPIO_EN_13_BIT 13
#define GPIO_GPIO_EN_GPIO_EN_14_BIT 14
#define GPIO_GPIO_EN_GPIO_EN_15_BIT 15
#define GPIO_GPIO_EN_GPIO_EN_16_BIT 16
#define GPIO_GPIO_EN_GPIO_EN_17_BIT 17
#define GPIO_GPIO_EN_GPIO_EN_18_BIT 18
#define GPIO_GPIO_EN_GPIO_EN_19_BIT 19
#define GPIO_GPIO_EN_GPIO_EN_20_BIT 20
#define GPIO_GPIO_EN_GPIO_EN_21_BIT 21
#define GPIO_GPIO_EN_GPIO_EN_22_BIT 22
#define GPIO_GPIO_EN_GPIO_EN_23_BIT 23
#define GPIO_GPIO_EN_GPIO_EN_24_BIT 24
#define GPIO_GPIO_EN_GPIO_EN_25_BIT 25
#define GPIO_GPIO_EN_GPIO_EN_26_BIT 26
#define GPIO_GPIO_EN_GPIO_EN_27_BIT 27
#define GPIO_GPIO_EN_GPIO_EN_28_BIT 28
#define GPIO_GPIO_EN_GPIO_EN_29_BIT 29
#define GPIO_GPIO_EN_GPIO_EN_30_BIT 30
#define GPIO_GPIO_EN_GPIO_EN_31_BIT 31

// Read the current input values of all GPIOs. (common parameters)
#define GPIO_GPIO_IN_GPIO_IN_FIELD_WIDTH 1
#define GPIO_GPIO_IN_GPIO_IN_FIELDS_PER_REG 32
#define GPIO_GPIO_IN_MULTIREG_COUNT 1

// Read the current input values of all GPIOs.
#define GPIO_GPIO_IN_REG_OFFSET 0x100
#define GPIO_GPIO_IN_GPIO_IN_0_BIT 0
#define GPIO_GPIO_IN_GPIO_IN_1_BIT 1
#define GPIO_GPIO_IN_GPIO_IN_2_BIT 2
#define GPIO_GPIO_IN_GPIO_IN_3_BIT 3
#define GPIO_GPIO_IN_GPIO_IN_4_BIT 4
#define GPIO_GPIO_IN_GPIO_IN_5_BIT 5
#define GPIO_GPIO_IN_GPIO_IN_6_BIT 6
#define GPIO_GPIO_IN_GPIO_IN_7_BIT 7
#define GPIO_GPIO_IN_GPIO_IN_8_BIT 8
#define GPIO_GPIO_IN_GPIO_IN_9_BIT 9
#define GPIO_GPIO_IN_GPIO_IN_10_BIT 10
#define GPIO_GPIO_IN_GPIO_IN_11_BIT 11
#define GPIO_GPIO_IN_GPIO_IN_12_BIT 12
#define GPIO_GPIO_IN_GPIO_IN_13_BIT 13
#define GPIO_GPIO_IN_GPIO_IN_14_BIT 14
#define GPIO_GPIO_IN_GPIO_IN_15_BIT 15
#define GPIO_GPIO_IN_GPIO_IN_16_BIT 16
#define GPIO_GPIO_IN_GPIO_IN_17_BIT 17
#define GPIO_GPIO_IN_GPIO_IN_18_BIT 18
#define GPIO_GPIO_IN_GPIO_IN_19_BIT 19
#define GPIO_GPIO_IN_GPIO_IN_20_BIT 20
#define GPIO_GPIO_IN_GPIO_IN_21_BIT 21
#define GPIO_GPIO_IN_GPIO_IN_22_BIT 22
#define GPIO_GPIO_IN_GPIO_IN_23_BIT 23
#define GPIO_GPIO_IN_GPIO_IN_24_BIT 24
#define GPIO_GPIO_IN_GPIO_IN_25_BIT 25
#define GPIO_GPIO_IN_GPIO_IN_26_BIT 26
#define GPIO_GPIO_IN_GPIO_IN_27_BIT 27
#define GPIO_GPIO_IN_GPIO_IN_28_BIT 28
#define GPIO_GPIO_IN_GPIO_IN_29_BIT 29
#define GPIO_GPIO_IN_GPIO_IN_30_BIT 30
#define GPIO_GPIO_IN_GPIO_IN_31_BIT 31

// Set the output value of the corresponding GPIOs. (common parameters)
#define GPIO_GPIO_OUT_GPIO_OUT_FIELD_WIDTH 1
#define GPIO_GPIO_OUT_GPIO_OUT_FIELDS_PER_REG 32
#define GPIO_GPIO_OUT_MULTIREG_COUNT 1

// Set the output value of the corresponding GPIOs.
#define GPIO_GPIO_OUT_REG_OFFSET 0x180
#define GPIO_GPIO_OUT_GPIO_OUT_0_BIT 0
#define GPIO_GPIO_OUT_GPIO_OUT_1_BIT 1
#define GPIO_GPIO_OUT_GPIO_OUT_2_BIT 2
#define GPIO_GPIO_OUT_GPIO_OUT_3_BIT 3
#define GPIO_GPIO_OUT_GPIO_OUT_4_BIT 4
#define GPIO_GPIO_OUT_GPIO_OUT_5_BIT 5
#define GPIO_GPIO_OUT_GPIO_OUT_6_BIT 6
#define GPIO_GPIO_OUT_GPIO_OUT_7_BIT 7
#define GPIO_GPIO_OUT_GPIO_OUT_8_BIT 8
#define GPIO_GPIO_OUT_GPIO_OUT_9_BIT 9
#define GPIO_GPIO_OUT_GPIO_OUT_10_BIT 10
#define GPIO_GPIO_OUT_GPIO_OUT_11_BIT 11
#define GPIO_GPIO_OUT_GPIO_OUT_12_BIT 12
#define GPIO_GPIO_OUT_GPIO_OUT_13_BIT 13
#define GPIO_GPIO_OUT_GPIO_OUT_14_BIT 14
#define GPIO_GPIO_OUT_GPIO_OUT_15_BIT 15
#define GPIO_GPIO_OUT_GPIO_OUT_16_BIT 16
#define GPIO_GPIO_OUT_GPIO_OUT_17_BIT 17
#define GPIO_GPIO_OUT_GPIO_OUT_18_BIT 18
#define GPIO_GPIO_OUT_GPIO_OUT_19_BIT 19
#define GPIO_GPIO_OUT_GPIO_OUT_20_BIT 20
#define GPIO_GPIO_OUT_GPIO_OUT_21_BIT 21
#define GPIO_GPIO_OUT_GPIO_OUT_22_BIT 22
#define GPIO_GPIO_OUT_GPIO_OUT_23_BIT 23
#define GPIO_GPIO_OUT_GPIO_OUT_24_BIT 24
#define GPIO_GPIO_OUT_GPIO_OUT_25_BIT 25
#define GPIO_GPIO_OUT_GPIO_OUT_26_BIT 26
#define GPIO_GPIO_OUT_GPIO_OUT_27_BIT 27
#define GPIO_GPIO_OUT_GPIO_OUT_28_BIT 28
#define GPIO_GPIO_OUT_GPIO_OUT_29_BIT 29
#define GPIO_GPIO_OUT_GPIO_OUT_30_BIT 30
#define GPIO_GPIO_OUT_GPIO_OUT_31_BIT 31

// For each asserted bit in this register, set the corresponding bit in the
// padout register. (common parameters)
#define GPIO_GPIO_SET_GPIO_SET_FIELD_WIDTH 1
#define GPIO_GPIO_SET_GPIO_SET_FIELDS_PER_REG 32
#define GPIO_GPIO_SET_MULTIREG_COUNT 1

// For each asserted bit in this register, set the corresponding bit in the
// padout register.
#define GPIO_GPIO_SET_REG_OFFSET 0x200
#define GPIO_GPIO_SET_GPIO_SET_0_BIT 0
#define GPIO_GPIO_SET_GPIO_SET_1_BIT 1
#define GPIO_GPIO_SET_GPIO_SET_2_BIT 2
#define GPIO_GPIO_SET_GPIO_SET_3_BIT 3
#define GPIO_GPIO_SET_GPIO_SET_4_BIT 4
#define GPIO_GPIO_SET_GPIO_SET_5_BIT 5
#define GPIO_GPIO_SET_GPIO_SET_6_BIT 6
#define GPIO_GPIO_SET_GPIO_SET_7_BIT 7
#define GPIO_GPIO_SET_GPIO_SET_8_BIT 8
#define GPIO_GPIO_SET_GPIO_SET_9_BIT 9
#define GPIO_GPIO_SET_GPIO_SET_10_BIT 10
#define GPIO_GPIO_SET_GPIO_SET_11_BIT 11
#define GPIO_GPIO_SET_GPIO_SET_12_BIT 12
#define GPIO_GPIO_SET_GPIO_SET_13_BIT 13
#define GPIO_GPIO_SET_GPIO_SET_14_BIT 14
#define GPIO_GPIO_SET_GPIO_SET_15_BIT 15
#define GPIO_GPIO_SET_GPIO_SET_16_BIT 16
#define GPIO_GPIO_SET_GPIO_SET_17_BIT 17
#define GPIO_GPIO_SET_GPIO_SET_18_BIT 18
#define GPIO_GPIO_SET_GPIO_SET_19_BIT 19
#define GPIO_GPIO_SET_GPIO_SET_20_BIT 20
#define GPIO_GPIO_SET_GPIO_SET_21_BIT 21
#define GPIO_GPIO_SET_GPIO_SET_22_BIT 22
#define GPIO_GPIO_SET_GPIO_SET_23_BIT 23
#define GPIO_GPIO_SET_GPIO_SET_24_BIT 24
#define GPIO_GPIO_SET_GPIO_SET_25_BIT 25
#define GPIO_GPIO_SET_GPIO_SET_26_BIT 26
#define GPIO_GPIO_SET_GPIO_SET_27_BIT 27
#define GPIO_GPIO_SET_GPIO_SET_28_BIT 28
#define GPIO_GPIO_SET_GPIO_SET_29_BIT 29
#define GPIO_GPIO_SET_GPIO_SET_30_BIT 30
#define GPIO_GPIO_SET_GPIO_SET_31_BIT 31

// For each asserted bit in this register, clear the corresponding bit in the
// padout register. (common parameters)
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_FIELD_WIDTH 1
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_FIELDS_PER_REG 32
#define GPIO_GPIO_CLEAR_MULTIREG_COUNT 1

// For each asserted bit in this register, clear the corresponding bit in the
// padout register.
#define GPIO_GPIO_CLEAR_REG_OFFSET 0x280
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_0_BIT 0
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_1_BIT 1
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_2_BIT 2
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_3_BIT 3
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_4_BIT 4
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_5_BIT 5
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_6_BIT 6
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_7_BIT 7
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_8_BIT 8
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_9_BIT 9
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_10_BIT 10
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_11_BIT 11
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_12_BIT 12
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_13_BIT 13
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_14_BIT 14
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_15_BIT 15
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_16_BIT 16
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_17_BIT 17
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_18_BIT 18
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_19_BIT 19
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_20_BIT 20
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_21_BIT 21
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_22_BIT 22
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_23_BIT 23
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_24_BIT 24
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_25_BIT 25
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_26_BIT 26
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_27_BIT 27
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_28_BIT 28
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_29_BIT 29
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_30_BIT 30
#define GPIO_GPIO_CLEAR_GPIO_CLEAR_31_BIT 31

// For each asserted bit in this register, toggle the corresponding bit in
// the padout register. (common parameters)
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_FIELD_WIDTH 1
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_FIELDS_PER_REG 32
#define GPIO_GPIO_TOGGLE_MULTIREG_COUNT 1

// For each asserted bit in this register, toggle the corresponding bit in
// the padout register.
#define GPIO_GPIO_TOGGLE_REG_OFFSET 0x300
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_0_BIT 0
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_1_BIT 1
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_2_BIT 2
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_3_BIT 3
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_4_BIT 4
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_5_BIT 5
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_6_BIT 6
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_7_BIT 7
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_8_BIT 8
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_9_BIT 9
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_10_BIT 10
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_11_BIT 11
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_12_BIT 12
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_13_BIT 13
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_14_BIT 14
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_15_BIT 15
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_16_BIT 16
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_17_BIT 17
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_18_BIT 18
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_19_BIT 19
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_20_BIT 20
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_21_BIT 21
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_22_BIT 22
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_23_BIT 23
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_24_BIT 24
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_25_BIT 25
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_26_BIT 26
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_27_BIT 27
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_28_BIT 28
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_29_BIT 29
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_30_BIT 30
#define GPIO_GPIO_TOGGLE_GPIO_TOGGLE_31_BIT 31

// Enable Interrupts on rising edges for the corresponding GPIO (common
// parameters)
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_FIELD_WIDTH 1
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_FIELDS_PER_REG 32
#define GPIO_INTRPT_RISE_EN_MULTIREG_COUNT 1

// Enable Interrupts on rising edges for the corresponding GPIO
#define GPIO_INTRPT_RISE_EN_REG_OFFSET 0x380
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_0_BIT 0
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_1_BIT 1
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_2_BIT 2
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_3_BIT 3
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_4_BIT 4
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_5_BIT 5
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_6_BIT 6
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_7_BIT 7
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_8_BIT 8
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_9_BIT 9
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_10_BIT 10
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_11_BIT 11
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_12_BIT 12
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_13_BIT 13
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_14_BIT 14
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_15_BIT 15
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_16_BIT 16
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_17_BIT 17
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_18_BIT 18
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_19_BIT 19
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_20_BIT 20
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_21_BIT 21
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_22_BIT 22
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_23_BIT 23
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_24_BIT 24
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_25_BIT 25
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_26_BIT 26
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_27_BIT 27
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_28_BIT 28
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_29_BIT 29
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_30_BIT 30
#define GPIO_INTRPT_RISE_EN_INTRPT_RISE_EN_31_BIT 31

// Enable Interrupts on falling edges for the corresponding GPIO (common
// parameters)
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_FIELD_WIDTH 1
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_FIELDS_PER_REG 32
#define GPIO_INTRPT_FALL_EN_MULTIREG_COUNT 1

// Enable Interrupts on falling edges for the corresponding GPIO
#define GPIO_INTRPT_FALL_EN_REG_OFFSET 0x400
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_0_BIT 0
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_1_BIT 1
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_2_BIT 2
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_3_BIT 3
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_4_BIT 4
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_5_BIT 5
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_6_BIT 6
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_7_BIT 7
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_8_BIT 8
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_9_BIT 9
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_10_BIT 10
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_11_BIT 11
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_12_BIT 12
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_13_BIT 13
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_14_BIT 14
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_15_BIT 15
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_16_BIT 16
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_17_BIT 17
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_18_BIT 18
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_19_BIT 19
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_20_BIT 20
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_21_BIT 21
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_22_BIT 22
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_23_BIT 23
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_24_BIT 24
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_25_BIT 25
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_26_BIT 26
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_27_BIT 27
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_28_BIT 28
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_29_BIT 29
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_30_BIT 30
#define GPIO_INTRPT_FALL_EN_INTRPT_FALL_EN_31_BIT 31

// Enable logic high level-sensitive Interrupts on the corresponding GPIO
// (common parameters)
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_FIELD_WIDTH 1
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_FIELDS_PER_REG 32
#define GPIO_INTRPT_LVL_HIGH_EN_MULTIREG_COUNT 1

// Enable logic high level-sensitive Interrupts on the corresponding GPIO
#define GPIO_INTRPT_LVL_HIGH_EN_REG_OFFSET 0x480
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_0_BIT 0
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_1_BIT 1
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_2_BIT 2
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_3_BIT 3
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_4_BIT 4
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_5_BIT 5
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_6_BIT 6
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_7_BIT 7
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_8_BIT 8
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_9_BIT 9
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_10_BIT 10
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_11_BIT 11
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_12_BIT 12
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_13_BIT 13
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_14_BIT 14
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_15_BIT 15
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_16_BIT 16
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_17_BIT 17
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_18_BIT 18
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_19_BIT 19
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_20_BIT 20
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_21_BIT 21
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_22_BIT 22
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_23_BIT 23
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_24_BIT 24
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_25_BIT 25
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_26_BIT 26
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_27_BIT 27
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_28_BIT 28
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_29_BIT 29
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_30_BIT 30
#define GPIO_INTRPT_LVL_HIGH_EN_INTRPT_LVL_HIGH_EN_31_BIT 31

// Enable logic low level-sensitive Interrupts on the corresponding GPIO
// (common parameters)
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_FIELD_WIDTH 1
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_FIELDS_PER_REG 32
#define GPIO_INTRPT_LVL_LOW_EN_MULTIREG_COUNT 1

// Enable logic low level-sensitive Interrupts on the corresponding GPIO
#define GPIO_INTRPT_LVL_LOW_EN_REG_OFFSET 0x500
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_0_BIT 0
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_1_BIT 1
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_2_BIT 2
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_3_BIT 3
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_4_BIT 4
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_5_BIT 5
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_6_BIT 6
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_7_BIT 7
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_8_BIT 8
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_9_BIT 9
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_10_BIT 10
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_11_BIT 11
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_12_BIT 12
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_13_BIT 13
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_14_BIT 14
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_15_BIT 15
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_16_BIT 16
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_17_BIT 17
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_18_BIT 18
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_19_BIT 19
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_20_BIT 20
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_21_BIT 21
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_22_BIT 22
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_23_BIT 23
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_24_BIT 24
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_25_BIT 25
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_26_BIT 26
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_27_BIT 27
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_28_BIT 28
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_29_BIT 29
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_30_BIT 30
#define GPIO_INTRPT_LVL_LOW_EN_INTRPT_LVL_LOW_EN_31_BIT 31

// Asserted if there is any pending interrupts on corresponding GPIOs.
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_FIELD_WIDTH 1
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_FIELDS_PER_REG 32
#define GPIO_INTRPT_STATUS_MULTIREG_COUNT 1

// Asserted if there is any pending interrupts on corresponding GPIOs.
#define GPIO_INTRPT_STATUS_REG_OFFSET 0x580
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_0_BIT 0
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_1_BIT 1
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_2_BIT 2
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_3_BIT 3
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_4_BIT 4
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_5_BIT 5
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_6_BIT 6
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_7_BIT 7
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_8_BIT 8
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_9_BIT 9
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_10_BIT 10
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_11_BIT 11
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_12_BIT 12
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_13_BIT 13
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_14_BIT 14
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_15_BIT 15
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_16_BIT 16
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_17_BIT 17
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_18_BIT 18
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_19_BIT 19
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_20_BIT 20
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_21_BIT 21
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_22_BIT 22
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_23_BIT 23
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_24_BIT 24
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_25_BIT 25
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_26_BIT 26
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_27_BIT 27
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_28_BIT 28
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_29_BIT 29
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_30_BIT 30
#define GPIO_INTRPT_STATUS_INTRPT_STATUS_31_BIT 31

// Asserted if there is a pending rise interrupts on corresponding GPIOs.
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_FIELD_WIDTH 1
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_FIELDS_PER_REG 32
#define GPIO_INTRPT_RISE_STATUS_MULTIREG_COUNT 1

// Asserted if there is a pending rise interrupts on corresponding GPIOs.
#define GPIO_INTRPT_RISE_STATUS_REG_OFFSET 0x600
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_0_BIT 0
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_1_BIT 1
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_2_BIT 2
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_3_BIT 3
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_4_BIT 4
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_5_BIT 5
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_6_BIT 6
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_7_BIT 7
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_8_BIT 8
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_9_BIT 9
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_10_BIT 10
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_11_BIT 11
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_12_BIT 12
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_13_BIT 13
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_14_BIT 14
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_15_BIT 15
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_16_BIT 16
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_17_BIT 17
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_18_BIT 18
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_19_BIT 19
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_20_BIT 20
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_21_BIT 21
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_22_BIT 22
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_23_BIT 23
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_24_BIT 24
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_25_BIT 25
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_26_BIT 26
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_27_BIT 27
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_28_BIT 28
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_29_BIT 29
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_30_BIT 30
#define GPIO_INTRPT_RISE_STATUS_INTRPT_RISE_STATUS_31_BIT 31

// Asserted if there is any pending fall interrupts on corresponding GPIOs.
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_FIELD_WIDTH 1
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_FIELDS_PER_REG 32
#define GPIO_INTRPT_FALL_STATUS_MULTIREG_COUNT 1

// Asserted if there is any pending fall interrupts on corresponding GPIOs.
#define GPIO_INTRPT_FALL_STATUS_REG_OFFSET 0x680
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_0_BIT 0
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_1_BIT 1
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_2_BIT 2
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_3_BIT 3
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_4_BIT 4
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_5_BIT 5
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_6_BIT 6
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_7_BIT 7
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_8_BIT 8
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_9_BIT 9
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_10_BIT 10
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_11_BIT 11
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_12_BIT 12
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_13_BIT 13
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_14_BIT 14
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_15_BIT 15
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_16_BIT 16
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_17_BIT 17
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_18_BIT 18
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_19_BIT 19
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_20_BIT 20
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_21_BIT 21
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_22_BIT 22
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_23_BIT 23
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_24_BIT 24
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_25_BIT 25
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_26_BIT 26
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_27_BIT 27
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_28_BIT 28
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_29_BIT 29
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_30_BIT 30
#define GPIO_INTRPT_FALL_STATUS_INTRPT_FALL_STATUS_31_BIT 31

// Asserted if there is any pending high-level interrupts on corresponding
// GPIOs.
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_FIELD_WIDTH 1
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_FIELDS_PER_REG 32
#define GPIO_INTRPT_LVL_HIGH_STATUS_MULTIREG_COUNT 1

// Asserted if there is any pending high-level interrupts on corresponding
// GPIOs.
#define GPIO_INTRPT_LVL_HIGH_STATUS_REG_OFFSET 0x700
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_0_BIT 0
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_1_BIT 1
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_2_BIT 2
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_3_BIT 3
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_4_BIT 4
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_5_BIT 5
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_6_BIT 6
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_7_BIT 7
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_8_BIT 8
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_9_BIT 9
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_10_BIT 10
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_11_BIT 11
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_12_BIT 12
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_13_BIT 13
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_14_BIT 14
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_15_BIT 15
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_16_BIT 16
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_17_BIT 17
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_18_BIT 18
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_19_BIT 19
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_20_BIT 20
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_21_BIT 21
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_22_BIT 22
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_23_BIT 23
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_24_BIT 24
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_25_BIT 25
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_26_BIT 26
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_27_BIT 27
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_28_BIT 28
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_29_BIT 29
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_30_BIT 30
#define GPIO_INTRPT_LVL_HIGH_STATUS_INTRPT_LVL_HIGH_STATUS_31_BIT 31

// Asserted if there is any pending low-level interrupts on corresponding
// GPIOs.
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_FIELD_WIDTH 1
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_FIELDS_PER_REG 32
#define GPIO_INTRPT_LVL_LOW_STATUS_MULTIREG_COUNT 1

// Asserted if there is any pending low-level interrupts on corresponding
// GPIOs.
#define GPIO_INTRPT_LVL_LOW_STATUS_REG_OFFSET 0x780
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_0_BIT 0
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_1_BIT 1
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_2_BIT 2
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_3_BIT 3
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_4_BIT 4
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_5_BIT 5
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_6_BIT 6
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_7_BIT 7
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_8_BIT 8
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_9_BIT 9
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_10_BIT 10
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_11_BIT 11
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_12_BIT 12
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_13_BIT 13
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_14_BIT 14
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_15_BIT 15
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_16_BIT 16
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_17_BIT 17
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_18_BIT 18
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_19_BIT 19
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_20_BIT 20
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_21_BIT 21
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_22_BIT 22
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_23_BIT 23
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_24_BIT 24
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_25_BIT 25
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_26_BIT 26
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_27_BIT 27
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_28_BIT 28
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_29_BIT 29
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_30_BIT 30
#define GPIO_INTRPT_LVL_LOW_STATUS_INTRPT_LVL_LOW_STATUS_31_BIT 31

#ifdef __cplusplus
}  // extern "C"
#endif
#endif  // _GPIO_REG_DEFS_
// End generated register defines for gpio